# Source: am-pattern-1/templates/am/instance-1/wso2am-pattern-1-am-conf.yaml
# Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "wso2-micro-integrator.fullname" . }}-entrypoint
  labels:
    {{- include "wso2-micro-integrator.labels" . | nindent 4 }}
data:
  docker-entrypoint.sh: |-
    #!/bin/sh
    # ---------------------------------------------------------------------------
    #  Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
    #
    #  WSO2 Inc. licenses this file to you under the Apache License,
    #  Version 2.0 (the "License"); you may not use this file except
    #  in compliance with the License.
    #  You may obtain a copy of the License at
    #
    #      http://www.apache.org/licenses/LICENSE-2.0
    #
    #  Unless required by applicable law or agreed to in writing,
    #  software distributed under the License is distributed on an
    #  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    #  KIND, either express or implied. See the License for the
    #  specific language governing permissions and limitations
    #  under the License.
    # ---------------------------------------------------------------------------

    set -e

    # check if the WSO2 non-root user home exists
    test ! -d "${WORKING_DIRECTORY}" && echo "WSO2 Docker non-root user home does not exist" && exit 1

    # check if the WSO2 product home exists
    test ! -d "${WSO2_SERVER_HOME}" && echo "WSO2 Docker product home does not exist" && exit 1

    # Hability hot deployment
    sed -i -e "s|hot_deployment = false|hot_deployment = true|g" /home/wso2carbon/wso2mi-1.2.0/conf/deployment.toml

    # start Micro Integrator
    sh "${WSO2_SERVER_HOME}"/bin/micro-integrator.sh "$@"
